Participant APIs | REST

Selected Version:
Download Open API File

Returns details of a communication

https://api.wealthcare.com/participant/services/communications/{tpaId}/{employerId}/{participantId}/{communicationKey}

Use this operation to read messages sent from an administrator to a specific participant.

Request

  • tpaId string Required

    A unique identifier used to identify your admin instance. This value is system generated when the admin instance was created.

  • employerId string Required

    Unique identifier for the employer. Note: When the employer was created, WealthCare Admin assigned the 3-character prefix; you assigned the remaining characters.

  • participantId string Required

    Unique identifier for the participant user whose feature information is being retrieved.

  • communicationKey integer <int32> Required

    Communication Key

  • communicationVersion integer <int32> Required

    Communication version 1:Legacy, 2:Premium (default value is 1)

  • communicationFileType integer <int32>

    Communication File Type 0:Unknown, 1:Html, 2:PortalHtml, 3:Txt, 4:Pdf (default value is 2)

  • decrypt integer <int32>

    Indicate if the URI parameters are encrypted or not. Use 1 for encrypted, 0 for decrypted (default is 0). This affects how the API interprets the incoming identifiers.

Response

  • RecipientAddress string

    The recipient's email address

  • FileByteArray string <byte>

    A byte array containing the file stream data for the communication.

  • DocumentTrackingNum integer <int64>

    Document tracking number

  • SenderAddress string

    Email address of sender

  • Subject string

    Message subject

  • Body string

    Message body

  • ParticipantId integer <int32>

    The employee ID for the participant

  • CommunicationRuleType integer

    Communication rule type

  • CommunicationRuleKey integer <int32>

    Communication rule template id

  • CommunicationChannels integer <int32>

    Communication channel bit flags 0 = None, 1 = Email, 2 = Mobile, 4 = Letter

  • BarcodeStream string <byte>

    Barcode data

  • BarcodeAlign string

    Barcode alignment. Values: "Left", "Center", "Right", "None", "100%"

  • CommunicationVersion integer <int32>

    Communication version. 1 = Legacy Communication, 2 = Premium Communication

  • RecipientAddress string

    The recipient's email address

  • FileByteArray string <byte>

    A byte array containing the file stream data for the communication.

  • DocumentTrackingNum integer <int64>

    Document tracking number

  • SenderAddress string

    Email address of sender

  • Subject string

    Message subject

  • Body string

    Message body

  • ParticipantId integer <int32>

    The employee ID for the participant

  • CommunicationRuleType integer

    Communication rule type

  • CommunicationRuleKey integer <int32>

    Communication rule template id

  • CommunicationChannels integer <int32>

    Communication channel bit flags 0 = None, 1 = Email, 2 = Mobile, 4 = Letter

  • BarcodeStream string <byte>

    Barcode data

  • BarcodeAlign string

    Barcode alignment. Values: "Left", "Center", "Right", "None", "100%"

  • CommunicationVersion integer <int32>

    Communication version. 1 = Legacy Communication, 2 = Premium Communication

Response Headers
No response yet.
Response Body
No response yet.
Request
Response
{
  "RecipientAddress": "recipient@2016.com",
  "FileByteArray": "",
  "DocumentTrackingNum": 0,
  "SenderAddress": "yearend24@2016.com",
  "Subject": "Test Year End Reminder",
  "Body": "<table border=\"0\" class=\"mbi_box\">\r\n  <tr>\r\n    <td class=\"mbi_text_bold\" width=\"30%\">\r\n\t\t\t\t\t\tAdministrator Name:\r\n\t\t\t\t\t</td>\r\n    <td class=\"mbi_text\">Quane Benefit Systems</td>\r\n  </tr>\r\n  <tr>\r\n    <td class=\"mbi_text_bold\">\r\n\t\t\t\t\t\tAdministrator Address:\r\n\t\t\t\t\t</td>\r\n    <td class=\"mbi_text\">101 Huntington Avenue<br>Boston,\r\n\t\t\t\t\t\tMA\r\n02116</td>\r\n  </tr>\r\n  <tr>\r\n    <td class=\"mbi_text_bold\">\r\n\t\t\t\t\t\tEmployer Name:\r\n\t\t\t\t\t</td>\r\n    <td class=\"mbi_text\">ZXC Media LLC</td>\r\n  </tr>\r\n  <tr>\r\n    <td class=\"mbi_text_bold\">\r\n\t\t\t\t\t\t\tParticipant Name: \r\n\t\t\t\t\t\t</td>\r\n    <td class=\"mbi_text\">Rhys Test</td>\r\n  </tr>\r\n</table><br><table class=\"mbi_box_no_border\"></table>\r\n<table class=\"mbi_box_no_border\">\r\n  <table class=\"mbi_box_no_border\">\r\n    <tr>\r\n      <td class=\"mbi_text_bold\">Account Details</td>\r\n    </tr><br></table>\r\n  <table class=\"mbi_box\">\r\n    <tr>\r\n      <td class=\"mbi_text_underline\">Account</td>\r\n      <td class=\"mbi_text_underline\">Start Date</td>\r\n      <td class=\"mbi_text_underline\">End Date</td>\r\n      <td class=\"mbi_text_underline\">Run Out Date</td>\r\n      <td class=\"mbi_text_underline\">Election</td>\r\n      <td class=\"mbi_text_underline\">Total Contributions</td>\r\n      <td class=\"mbi_text_underline\">Disbursements</td>\r\n      <td class=\"mbi_text_underline\">Balance</td>\r\n    </tr>\r\n    <tr>\r\n      <td class=\"mbi_text\">FSA</td>\r\n      <td class=\"mbi_text\">01/01/2022</td>\r\n      <td class=\"mbi_text\">12/31/2022</td>\r\n      <td class=\"mbi_text\">04/30/2023</td>\r\n      <td class=\"mbi_text\">$500.00</td>\r\n      <td class=\"mbi_text\">$0.00</td>\r\n      <td class=\"mbi_text\">$193.66</td>\r\n      <td class=\"mbi_text\">$306.34</td>\r\n    </tr>\r\n  </table><br></table><table width='100%'><tr><td class='mbi_text'><span style=\"font-size: 16px;\">This is a reminder that the plan year end is quickly approaching. Please note the balance contained in this message, as this is your balance remaining for the plan period.<br /><br />If you have any questions or concerns, please contact us at:<br /><br />Thank you,<br />Quane Benefits Systems</span></td></tr></table>",
  "ParticipantId": 570,
  "CommunicationRuleType": 21,
  "CommunicationRuleKey": 23,
  "CommunicationChannels": 1,
  "BarcodeStream": "",
  "BarcodeAlign": "Left",
  "CommunicationVersion": 1
}

AI Assistant Preview

Generating response...